Debian Bug report logs - #573962
update-extlinux doesn't check if enabled or not

version graph

Package: extlinux; Maintainer for extlinux is Daniel Baumann <mail@daniel-baumann.ch>; Source for extlinux is src:syslinux.

Reported by: ael <law_ence.dev@ntlworld.com>

Date: Mon, 15 Mar 2010 11:21:01 UTC

Severity: important

Found in version syslinux/2:3.85+dfsg-1

Fixed in version syslinux/2:3.85+dfsg-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573962; Package linux-2.6. (Mon, 15 Mar 2010 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 11:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-3: Package fails to install: Failed to process /etc/kernel/postrm.d...
Date: Mon, 15 Mar 2010 11:17:48 +0000
Package: linux-2.6
Version: 2.6.32-9
Severity: important
File: linux-image-2.6.32-3

# dpkg -i  /var/cache/apt/archives/linux-image-2.6.32-3-amd64_2.6.32-9_amd64.deb
(Reading database ... 231498 files and directories currently installed.)
Preparing to replace linux-image-2.6.32-3-amd64 2.6.32-9 (using
.../linux-image-2.6.32-3-amd64_2.6.32-9_amd64.deb) ...
Unpacking replacement linux-image-2.6.32-3-amd64 ...
Running postrm hook script /usr/sbin/update-grub.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
Found linux image: /boot/vmlinuz-2.6.32-3-amd64
Found initrd image: /boot/initrd.img-2.6.32-3-amd64
Found linux image: /boot/vmlinuz-2.6.30-2-amd64
Found initrd image: /boot/initrd.img-2.6.30-2-amd64
Found linux image: /boot/vmlinuz-2.6.26-2-amd64
Found initrd image: /boot/initrd.img-2.6.26-2-amd64
done
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-amd64
/boot/vmlinuz-2.6.32-3-amd64
run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at
/var/lib/dpkg/info/linux-image-2.6.32-3-amd64.postrm line 272.
dpkg: warning: old post-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
Running postrm hook script /usr/sbin/update-grub.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
Found linux image: /boot/vmlinuz-2.6.32-3-amd64
Found initrd image: /boot/initrd.img-2.6.32-3-amd64
Found linux image: /boot/vmlinuz-2.6.30-2-amd64
Found initrd image: /boot/initrd.img-2.6.30-2-amd64
Found linux image: /boot/vmlinuz-2.6.26-2-amd64
Found initrd image: /boot/initrd.img-2.6.26-2-amd64
done
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-amd64
/boot/vmlinuz-2.6.32-3-amd64
run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm
line 272.
dpkg: error processing
/var/cache/apt/archives/linux-image-2.6.32-3-amd64_2.6.32-9_amd64.deb
(--install):
 subprocess new post-removal script returned error exit status 2
 Running postrm hook script /usr/sbin/update-grub.
 Generating grub.cfg ...
 Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
 Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
 Found linux image: /boot/vmlinuz-2.6.32-3-amd64
 Found initrd image: /boot/initrd.img-2.6.32-3-amd64
 Found linux image: /boot/vmlinuz-2.6.30-2-amd64
 Found initrd image: /boot/initrd.img-2.6.30-2-amd64
 Found linux image: /boot/vmlinuz-2.6.26-2-amd64
 Found initrd image: /boot/initrd.img-2.6.26-2-amd64
 done
 Examining /etc/kernel/postrm.d .
 run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-amd64
 /boot/vmlinuz-2.6.32-3-amd64
 run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
 Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm
 line 272.
 dpkg: error while cleaning up:
  subprocess new post-removal script returned error exit status 2
  Errors were encountered while processing:
   /var/cache/apt/archives/linux-image-2.6.32-3-amd64_2.6.32-9_amd64.deb

----------------------------------------------------------------------------

So far I have not investigated further: it may be something trivial. It
happened on the preceeding version. No trouble on another amd64 system
here. 
I use dpkg -i on this report to avoid the extra complications under
apt-get & aptitude, etc.




-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: To Be Filled By O.E.M.
product_name: To Be Filled By O.E.M.
product_version: To Be Filled By O.E.M.
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 1012.004
board_vendor: ASUSTeK Computer Inc.
board_name: K8V-X
board_version: Rev 2.00

** PCI devices:
00:00.0 Host bridge [0600]: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge [1106:3188] (rev 01)
	Subsystem: ASUSTeK Computer Inc. K8V Deluxe/K8V-X motherboard [1043:80a3]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 64
	Region 0: Memory at <ignored> (32-bit, prefetchable)
	Capabilities: <access denied>
	Kernel driver in use: agpgart-amd64

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South] [1106:b188] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: f9700000-fd8fffff
	Prefetchable memory behind bridge: e1600000-f15fffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:0a.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller [11ab:4320] (rev 13)
	Subsystem: ASUSTeK Computer Inc. Marvell 88E8001 Gigabit Ethernet Controller (Asus) [1043:811a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (5750ns min, 7750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fdf00000 (32-bit, non-prefetchable) [size=16K]
	Region 1: I/O ports at c800 [size=256]
	Expansion ROM at fde00000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: skge

00:0f.0 RAID bus controller [0104]: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller [1106:3149] (rev 80)
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V Deluxe/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin B routed to IRQ 20
	Region 0: I/O ports at e800 [size=8]
	Region 1: I/O ports at e400 [size=4]
	Region 2: I/O ports at e000 [size=8]
	Region 3: I/O ports at d800 [size=4]
	Region 4: I/O ports at d400 [size=16]
	Region 5: I/O ports at d000 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sata_via

00:0f.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 06) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Interrupt: pin A routed to IRQ 20
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at fc00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: VIA_IDE

00:10.0 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 4: I/O ports at dc00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.1 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 4: I/O ports at ec00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at c000 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.3 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 81) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at c400 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.4 USB Controller [0c03]: VIA Technologies, Inc. USB 2.0 [1106:3104] (rev 86) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 21
	Region 0: Memory at fdd00000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:11.0 ISA bridge [0601]: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South] [1106:3227]
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:11.5 Multimedia audio controller [0401]: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller [1106:3059] (rev 60)
	Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/K8V Deluxe motherboard (ADI AD1980 codec [SoundMAX]) [1043:80b0]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 22
	Region 0: I/O ports at cc00 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: VIA 82xx Audio

00:11.6 Communication controller [0780]: VIA Technologies, Inc. AC'97 Modem Controller [1106:3068] (rev 80)
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 22
	Region 0: I/O ports at 1000 [size=256]
	Capabilities: <access denied>

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: k8temp

01:00.0 VGA compatible controller [0300]: nVidia Corporation NV40 [GeForce 6800] [10de:0041] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Giga-byte Technology Device [1458:310f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 248 (1250ns min, 250ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e8000000 (32-bit, prefetchable) [size=128M]
	Region 2: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at fd800000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia


** USB devices:
Bus 001 Device 005: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 004: ID 05a9:2649 OmniVision Technologies, Inc. 
Bus 001 Device 002: ID 0424:2512 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 046d:c505 Logitech, Inc. Cordless Mouse+Keyboard Receiver
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-3-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.28      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.93.4      tools for generating an initramfs
ii  module-init-tools            3.12~pre1-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-3-amd64 recommends:
ii  firmware-linux-free           2.6.32-9   Binary firmware for various driver

Versions of packages linux-image-2.6.32-3-amd64 suggests:
ii  grub                          0.97-59    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-3-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-3-amd64/prerm/removing-running-kernel-2.6.32-3-amd64: true
  linux-image-2.6.32-3-amd64/postinst/bootloader-test-error-2.6.32-3-amd64:
  linux-image-2.6.32-3-amd64/prerm/would-invalidate-boot-loader-2.6.32-3-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-3-amd64/postinst/missing-firmware-2.6.32-3-amd64:
  linux-image-2.6.32-3-amd64/postinst/depmod-error-initrd-2.6.32-3-amd64: false
  linux-image-2.6.32-3-amd64/postinst/bootloader-error-2.6.32-3-amd64:




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 11:45:09 GMT) Full text and rfc822 format available.

Notification sent to ael <law_ence.dev@ntlworld.com>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 11:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 573962-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 573962-done@bugs.debian.org
Subject: Re: Bug#573962: linux-image-2.6.32-3: Package fails to install: Failed to process /etc/kernel/postrm.d...
Date: Mon, 15 Mar 2010 12:43:43 +0100
On Mon, Mar 15, 2010 at 11:17:48AM +0000, ael wrote:
> run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-amd64
> /boot/vmlinuz-2.6.32-3-amd64
> run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1

/etc/kernel/postrm.d/extlinux is not part of the kernel package. So no
bug in the kernel to not ignore failures in other parts.

Bastian

-- 
Military secrets are the most fleeting of all.
		-- Spock, "The Enterprise Incident", stardate 5027.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573962; Package linux-2.6. (Mon, 15 Mar 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Mar 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 573962@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 573962@bugs.debian.org
Cc: ael <law_ence.dev@ntlworld.com>
Subject: Re: Bug#573962 closed by Bastian Blank <waldi@debian.org> (Re: Bug#573962: linux-image-2.6.32-3: Package fails to install: Failed to process /etc/kernel/postrm.d...)
Date: Mon, 15 Mar 2010 13:00:31 +0000
On Mon, Mar 15, 2010 at 11:45:09AM +0000, Debian Bug Tracking System wrote:
> It has been closed by Bastian Blank <waldi@debian.org>.

> /etc/kernel/postrm.d/extlinux is not part of the kernel package. So no
> bug in the kernel to not ignore failures in other parts.

Ok. I have reported it against extlinux. Even after purging that
package /etc/kernel/postrm.d/extlinux remained! I had to manually
delete it.

I was not actually using extlinux to boot the host system.

ael




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Mar 2010 17:15:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'extlinux'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 17:15:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-9. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 17:15:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'extlinux: postrm.d script prevents kernel updates' from 'linux-image-2.6.32-3: Package fails to install: Failed to process /etc/kernel/postrm.d...' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 15 Mar 2010 17:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Mon, 15 Mar 2010 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 15 Mar 2010 17:33:10 GMT) Full text and rfc822 format available.

Message #28 received at 573962@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573962-submitter@bugs.debain.rog
Cc: 573962@bugs.debian.org
Subject: Re: extlinux: postrm.d script prevents kernel updates
Date: Mon, 15 Mar 2010 18:26:25 +0100
Hi,

please put a set -x into the failing script, rerun, and paste the output.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Mon, 15 Mar 2010 17:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 15 Mar 2010 17:33:12 GMT) Full text and rfc822 format available.

Message #33 received at 573962@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573962-submitter@bugs.debian.org
Cc: 573962@bugs.debian.org
Subject: Re: extlinux: postrm.d script prevents kernel updates
Date: Mon, 15 Mar 2010 18:27:22 +0100
Hi,

please put a set -x into the failing script, rerun, and paste the output.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to ael <law_ence.dev@ntlworld.com>:
Bug#573962. (Mon, 15 Mar 2010 17:33:22 GMT) Full text and rfc822 format available.

Information stored :
Bug#573962; Package extlinux. (Mon, 15 Mar 2010 21:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and filed, but not forwarded. (Mon, 15 Mar 2010 21:03:12 GMT) Full text and rfc822 format available.

Message #41 received at 573962-quiet@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: daniel@debian.org, 573962-quiet@bugs.debian.org
Subject: Re: Bug#573962: extlinux: postrm.d script prevents kernel updates
Date: Mon, 15 Mar 2010 21:01:31 +0000
On Mon, Mar 15, 2010 at 06:27:22PM +0100, Daniel Baumann wrote:
> Hi,
> 
> please put a set -x into the failing script, rerun, and paste the output.

I purged extlinux in order to install the kernel. I will need to
re-install & see whether the problem persists. As I said in the last
note to the closed bug, purging extlinux did not remove the script
(which was a symbolic link), so maybe it was some historical relic which 
might not recur. 

I will try & find time tomorrow to make the test...

ael





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Mon, 15 Mar 2010 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 15 Mar 2010 21:06:03 GMT) Full text and rfc822 format available.

Message #46 received at 573962@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 573962@bugs.debian.org
Subject: [ael@precise.conquest: Re: Bug#573962: extlinux: postrm.d script prevents kernel updates]
Date: Mon, 15 Mar 2010 21:03:19 +0000
On Mon, Mar 15, 2010 at 06:27:22PM +0100, Daniel Baumann wrote:
> Hi,
> 
> please put a set -x into the failing script, rerun, and paste the output.

I purged extlinux in order to install the kernel. I will need to
re-install & see whether the problem persists. As I said in the last
note to the closed bug, purging extlinux did not remove the script
(which was a symbolic link), so maybe it was some historical relic which 
might not recur. 

I will try & find time tomorrow to make the test...

ael





Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 15 Mar 2010 22:03:07 GMT) Full text and rfc822 format available.

Notification sent to ael <law_ence.dev@ntlworld.com>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 22:03:07 GMT) Full text and rfc822 format available.

Message #51 received at 573962-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: ael <law_ence.dev@ntlworld.com>
Cc: 573962-done@bugs.debian.org
Subject: Re: Bug#573962: extlinux: postrm.d script prevents kernel updates
Date: Mon, 15 Mar 2010 22:58:19 +0100
On 03/15/2010 10:01 PM, ael wrote:
> I purged extlinux in order to install the kernel. I will need to
> re-install&  see whether the problem persists. As I said in the last
> note to the closed bug, purging extlinux did not remove the script
> (which was a symbolic link), so maybe it was some historical relic which
> might not recur.

purging extlinux definitely removes the symlinks, thus closing the bug. 
feel free to reopen if you'll able to reproduce it on a clean system.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Tue, 16 Mar 2010 04:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 16 Mar 2010 04:57:07 GMT) Full text and rfc822 format available.

Message #56 received at 573962@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <573962@bugs.debian.org>
Subject: [update-extlinux] extlinux assumes update-extlinux should always be used.
Date: Tue, 16 Mar 2010 15:52:50 +1100
[Message part 1 (text/plain, inline)]
Package: extlinux
Version: 2:3.85+dfsg-1
Severity: normal

Attached is a transcript of an attempt to purge a removed kernel
(triggering update-extlinux) on a host that uses extlinux with a
static, hand-written extlinux.conf (using kernel-img.conf symlinks)
rather than update-extlinux.

This issue is also triggered if one has installed extlinux but doesn't
want to use it as the bootloader at all -- e.g. when one is using it
to prepare bootable USB keys.

IMO these use cases are valid and update-extlinux shouldn't break
kernel installs/removes/purges on them by doing a hard "exit 1" when
it isn't in charge.

-- System Information:
Debian Release: squeeze/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages extlinux depends on:
ii  libc6                        2.10.2-6em1 Embedded GNU C Library: Shared lib

Versions of packages extlinux recommends:
ii  syslinux-common            2:3.85+dfsg-1 Kernel loader which uses a FAT, ex

extlinux suggests no packages.

-- no debconf information
[typescript (text/x-fortran, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Wed, 17 Mar 2010 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Wed, 17 Mar 2010 15:33:06 GMT) Full text and rfc822 format available.

Message #61 received at 573962@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 573962@bugs.debian.org
Subject: extlinux assumes update-extlinux should always be used.
Date: Wed, 17 Mar 2010 15:31:02 +0000
I confirm that I was only using extlinux for preparing USB boot sticks
etc, and not booting the host itself via extlinux.

I have now hit the bug again on another machine, this one i386.

Here is a run with set -x turned on in /usr/sbin/update-extlinux:
-----------------------------------------------------------------------
# dpkg -i /var/cache/apt/archives/linux-image-2.6.32-3-686_2.6.32-9_i386.deb
(Reading database ... 272798 files and directories currently installed.)
Preparing to replace linux-image-2.6.32-3-686 2.6.32-9 (using .../linux-image-2.6.32-3-686_2.6.32-9_i386.deb) ...
Unpacking replacement linux-image-2.6.32-3-686 ...
Running postrm hook script /usr/sbin/update-grub.
head: cannot open `/boot/grub/video.lst' for reading: No such file or directory
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-trunk-686
Found initrd image: /boot/initrd.img-2.6.32-trunk-686
Found linux image: /boot/vmlinuz-2.6.32-3-686
Found initrd image: /boot/initrd.img-2.6.32-3-686
Found linux image: /boot/vmlinuz-2.6.30-2-686
Found initrd image: /boot/initrd.img-2.6.30-2-686
Found linux image: /boot/vmlinuz-2.6.30-1-686
Found initrd image: /boot/initrd.img-2.6.30-1-686
Found linux image: /boot/vmlinuz-2.6.26-2-686
Found initrd image: /boot/initrd.img-2.6.26-2-686
Found linux image: /boot/vmlinuz-2.6.26-1-686
Found initrd image: /boot/initrd.img-2.6.26-1-686
done
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-686 /boot/vmlinuz-2.6.32-3-686
+ DEVICE=2.6.32-3-686
+ echo -n P: Searching for EXTLINUX directory...
+ [ -e /boot/extlinux ]
+ [ -e /boot/boot/exlinux ]
+ [ -e /extlinux ]
+ [ -z  ]
+ echo  not found.
+ echo E: To create a template run 'mkdir /boot/extlinux' first.
+ echo E: To install extlinux, do it manually or try the 'extlinux-install' command.
+ echo E: Warning, extlinux-install is used to change your MBR.
+ exit 1
run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-2.6.32-3-686.postrm line 272.
dpkg: warning: old post-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
Running postrm hook script /usr/sbin/update-grub.
head: cannot open `/boot/grub/video.lst' for reading: No such file or directory
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-trunk-686
Found initrd image: /boot/initrd.img-2.6.32-trunk-686
Found linux image: /boot/vmlinuz-2.6.32-3-686
Found initrd image: /boot/initrd.img-2.6.32-3-686
Found linux image: /boot/vmlinuz-2.6.30-2-686
Found initrd image: /boot/initrd.img-2.6.30-2-686
Found linux image: /boot/vmlinuz-2.6.30-1-686
Found initrd image: /boot/initrd.img-2.6.30-1-686
Found linux image: /boot/vmlinuz-2.6.26-2-686
Found initrd image: /boot/initrd.img-2.6.26-2-686
Found linux image: /boot/vmlinuz-2.6.26-1-686
Found initrd image: /boot/initrd.img-2.6.26-1-686
done
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-686 /boot/vmlinuz-2.6.32-3-686
+ DEVICE=2.6.32-3-686
+ echo -n P: Searching for EXTLINUX directory...
+ [ -e /boot/extlinux ]
+ [ -e /boot/boot/exlinux ]
+ [ -e /extlinux ]
+ [ -z  ]
+ echo  not found.
+ echo E: To create a template run 'mkdir /boot/extlinux' first.
+ echo E: To install extlinux, do it manually or try the 'extlinux-install' command.
+ echo E: Warning, extlinux-install is used to change your MBR.
+ exit 1
run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 272.
dpkg: error processing /var/cache/apt/archives/linux-image-2.6.32-3-686_2.6.32-9_i386.deb (--install):
 subprocess new post-removal script returned error exit status 2
Running postrm hook script /usr/sbin/update-grub.
head: cannot open `/boot/grub/video.lst' for reading: No such file or directory
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-trunk-686
Found initrd image: /boot/initrd.img-2.6.32-trunk-686
Found linux image: /boot/vmlinuz-2.6.32-3-686
Found initrd image: /boot/initrd.img-2.6.32-3-686
Found linux image: /boot/vmlinuz-2.6.30-2-686
Found initrd image: /boot/initrd.img-2.6.30-2-686
Found linux image: /boot/vmlinuz-2.6.30-1-686
Found initrd image: /boot/initrd.img-2.6.30-1-686
Found linux image: /boot/vmlinuz-2.6.26-2-686
Found initrd image: /boot/initrd.img-2.6.26-2-686
Found linux image: /boot/vmlinuz-2.6.26-1-686
Found initrd image: /boot/initrd.img-2.6.26-1-686
done
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/extlinux 2.6.32-3-686 /boot/vmlinuz-2.6.32-3-686
+ DEVICE=2.6.32-3-686
+ echo -n P: Searching for EXTLINUX directory...
+ [ -e /boot/extlinux ]
+ [ -e /boot/boot/exlinux ]
+ [ -e /extlinux ]
+ [ -z  ]
+ echo  not found.
+ echo E: To create a template run 'mkdir /boot/extlinux' first.
+ echo E: To install extlinux, do it manually or try the 'extlinux-install' command.
+ echo E: Warning, extlinux-install is used to change your MBR.
+ exit 1
run-parts: /etc/kernel/postrm.d/extlinux exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 272.
dpkg: error while cleaning up:
 subprocess new post-removal script returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-2.6.32-3-686_2.6.32-9_i386.deb
-----------------------------------------------------------------------------

So yes, this bug needs to be re-opened & a mechanism to flag whether or
not extlinux is booting the host system needs to be introduced.

ael




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Mar 2010 15:45:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'update-extlinux doesn't check if enabled or not' from 'extlinux: postrm.d script prevents kernel updates' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 19 Mar 2010 08:24:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 19 Mar 2010 09:42:06 GMT) Full text and rfc822 format available.

Notification sent to ael <law_ence.dev@ntlworld.com>:
Bug acknowledged by developer. (Fri, 19 Mar 2010 09:42:06 GMT) Full text and rfc822 format available.

Message #70 received at 573962-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573962-close@bugs.debian.org
Subject: Bug#573962: fixed in syslinux 2:3.85+dfsg-2
Date: Fri, 19 Mar 2010 09:39:55 +0000
Source: syslinux
Source-Version: 2:3.85+dfsg-2

We believe that the bug you reported is fixed in the latest version of
syslinux, which is due to be installed in the Debian FTP archive:

extlinux_3.85+dfsg-2_i386.deb
  to main/s/syslinux/extlinux_3.85+dfsg-2_i386.deb
syslinux-common_3.85+dfsg-2_all.deb
  to main/s/syslinux/syslinux-common_3.85+dfsg-2_all.deb
syslinux_3.85+dfsg-2.diff.gz
  to main/s/syslinux/syslinux_3.85+dfsg-2.diff.gz
syslinux_3.85+dfsg-2.dsc
  to main/s/syslinux/syslinux_3.85+dfsg-2.dsc
syslinux_3.85+dfsg-2_i386.deb
  to main/s/syslinux/syslinux_3.85+dfsg-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated syslinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Mar 2010 09:24:29 +0100
Source: syslinux
Binary: syslinux extlinux syslinux-common
Architecture: source i386 all
Version: 2:3.85+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 extlinux   - utilities for the syslinux bootloaders (ext2/ext3 bootloader)
 syslinux   - utilities for the syslinux bootloaders
 syslinux-common - Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or P
Closes: 573962
Changes: 
 syslinux (2:3.85+dfsg-2) unstable; urgency=low
 .
   * Adding files section in update-extlinux manpage.
   * Shortening date string to avoid line break in boot message.
   * Flipping inversed logic when creating boot.txt in update-extlinu.
   * Replacing kernel postinst/postrm symlink to update-extlinux with a
     simple hook that checks if extlinux is enabled or not (Closes:
     #573962).
Checksums-Sha1: 
 e67a5d17477f9439f322fe756ad8bfee72caaf4f 1412 syslinux_3.85+dfsg-2.dsc
 1eb324e5ff68fab8cdf12a4f2e63d4fad14d944c 14247 syslinux_3.85+dfsg-2.diff.gz
 4966e8e4bdbe5c31532ff9da67bde73be2107583 71410 syslinux_3.85+dfsg-2_i386.deb
 a7a6b28b6ca68fcbf51ecb2c2853cbe89f02b191 55194 extlinux_3.85+dfsg-2_i386.deb
 eb1376d31e1be7f664513f7c7900b15afa324227 1030992 syslinux-common_3.85+dfsg-2_all.deb
Checksums-Sha256: 
 7bdd58679c63c9fdcc9926634309bd46d8a037df0dd664d139f72a7e7783641a 1412 syslinux_3.85+dfsg-2.dsc
 f2c06fd72232a9ba0a3dd07b8150349add9c74bd8f9632f0991291c59a71e3f1 14247 syslinux_3.85+dfsg-2.diff.gz
 394b99cb95719a1b13a22364b409991594655f0c769b4369217148495f90fa2e 71410 syslinux_3.85+dfsg-2_i386.deb
 5f9afab2b61dfe245f95fce35774c1d4fb18b887b266533bcf5f37809421a675 55194 extlinux_3.85+dfsg-2_i386.deb
 dcefa0a2e45f214e162627d4947085e9ceb414adba57b4ecb29c71ffcf18e475 1030992 syslinux-common_3.85+dfsg-2_all.deb
Files: 
 7f5ae291accaf2abbeb080d6e6754860 1412 utils optional syslinux_3.85+dfsg-2.dsc
 a4d42cfe64ab680865f1195277ad9c08 14247 utils optional syslinux_3.85+dfsg-2.diff.gz
 8409471aa3216639f65de3ed3bdd0823 71410 utils optional syslinux_3.85+dfsg-2_i386.deb
 ecb6eb1e6f1bcd3d4b7061b4c973ae63 55194 utils optional extlinux_3.85+dfsg-2_i386.deb
 73062b97a679ce70a481aa0471891f15 1030992 utils optional syslinux-common_3.85+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkujNWIACgkQ+C5cwEsrK57/jgCeJx8oIqdib/bH26BO6cUlJLK1
5X4AoMe5IfZLqcVFW5hoA8p66v3J54NJ
=zgGu
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#573962; Package extlinux. (Sun, 21 Mar 2010 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regid Ichira <gl2n30y06arv2@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Sun, 21 Mar 2010 02:30:03 GMT) Full text and rfc822 format available.

Message #75 received at 573962@bugs.debian.org (full text, mbox):

From: Regid Ichira <gl2n30y06arv2@hotmail.com>
To: <573962@bugs.debian.org>
Subject: Does update-extlinux doing a good job?
Date: Sun, 21 Mar 2010 04:25:44 +0200
1) With 3.85+dfsg-2 I have /etc/kernel/postrm.d/extlinux  /etc/kernel/postrm.d/extlinux.dpkg-new.
My guess is that something is marked as a conffile.
2) Have you considered people who uses extlinux but prefer a manual configuration?  What about 
people with hand crafted entries in their extlinux configuration file, such as memtest86+.bin?
Perhaps you should have an $AUTOMATIC_CONFIGURATION in /etc/default/extlinux, defaulted to no?
3) The kernal-package seem to enable the user to decide weather or not he want it to run a 
boot_loader.  I was very surprised to find out that my extlinux configuration has changed.
4) In view of the warning not to edit the file manually and to use update-extlinux, How should I proceed to get a memtest86+.bin entry back?

 		 	   		  
_________________________________________________________________
Hotmail: Trusted email with Microsoft’s powerful SPAM protection.
https://signup.live.com/signup.aspx?id=60969



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 08:01:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:29:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.